

I was about 6 weeks pregnant and knew there was something terribly wrong the day of the experience. I knew already there was a possibility that one of the embryos was in the fallopian tube. In the late afternoon, I began to projectile vomit and was experiencing abdominal pain that felt like what I imagine being stabbed would feel. When I arrived at the hospital, I aspirated on my vomit, but the nurses took care of that. I seemed to feel a bit better. I was placed in an OB/GYN emergency room with another woman who was also experiencing an ectopic pregnancy. This room was equipped especially for women with pregnancy complications. While I was speaking to the other patient my abdominal pain was getting worse and more unbearable, so the other woman called for the nurse. A code team was called in and the last thing I remember was the doctor asking me, 'Are you going?' I then felt no pain, but it was more than that. I couldn't feel my body at all.

At that time I had been a traumatic amputee for 9 years and lived with chronic bone and nerve pain which I always felt.

During the experience, there was no pain! I felt like I was floating and free from any physical encumbrances. I was in a dark tunnel that had a light at the end of it. I wanted to go towards that light. As I moved closer to the light, I could feel a sense of peace and love like I never had before. I knew I was close to death and it was okay. I thought, 'I'm good and dying is okay. I'm not afraid.' Then I started to think about my husband and one year-old son having to live without me. But I believed my husband would do a good job raising our son and they would ultimately be all right. It was at that moment that I felt myself being pulled back by force.

I was awake and heard everyone shouting and the lights in the room were too bright. I was so disappointed to be back and the pain I was feeling was again unbearable. The doctors rushed me to the operating room. They explained that I had suffered a fallopian tube rupture and was bleeding internally. If they didn't perform surgery right away, I would die.

